// src/app/app.config.ts
import { ApplicationConfig } from '@angular/core';
import { provideRouter } from '@angular/router';
import { routes } from './app.routes';
import { provideAnimations } from '@angular/platform-browser/animations';
import { provideHttpClient, withRequestsMadeViaParent } from '@angular/common/http';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { library } from '@fortawesome/fontawesome-svg-core';
import { faUserTie, faChartLine } from '@fortawesome/free-solid-svg-icons';

// 添加图标到库
library.add(faUserTie, faChartLine);

export const appConfig: ApplicationConfig = {
  providers: [
    provideRouter(routes),
    provideAnimations(),
    provideHttpClient(withRequestsMadeViaParent()) as any,
    FontAwesomeModule
  ]
};
